# Note that this is NOT a relocatable package
%define name        ximian-setup-tools 
%define ver      	0.7.0
%define RELEASE		3mdk
%define rel      	%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}

Summary:	Ximian Setup Tools
Name: 		%{name}
Version: 	%ver
Release: 	%rel
License: 	LGPL
Group: 		System/Configuration/Other
Source:		ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://www.ximian.com/
#Prereq: 	/sbin/install-info

Requires: 	gnome-libs >= 1.0.50
Requires: 	ORBit >= 0.5.0
Requires:	gdk-pixbuf >= 0.7.0
Requires:   wvdial
Requires: libglade0
Requires: libgal11
BuildRequires: gnome-libs-devel >= 1.0.50
BuildRequires: ORBit-devel >= 0.5.0
BuildRequires: gdk-pixbuf >= 0.7.0
BuildRequires: wvdial
BuildRequires: libglade0-devel
BuildRequires: libgal11-devel 

Obsoletes: %{name}-devel

%description
Day-to-day system management on Unix systems is a chore. 
Even when you're using a friendly graphical desktop, seemingly basic 
tasks like setting the system time, changing the network setup, 
importing and exporting network shared filesystems and configuring swap 
partitions requires editing configuration files by hand, and the exact 
procedure varies between different operating systems and distributions.

The Ximian Setup Tools solve all these problems, giving you a simple 
graphical interface for each task, which uses an advanced backend to 
edit all the relevant files and apply your changes. 
The interface looks and acts in exactly the same way regardless of what 
platform you're using.

#%package devel
#Group:	Development/C
#Summary: Files needed to develop for ximian setup tools
#Requires: %{name} = %{version}

#%description devel
#Files needed to develop for ximian setup tools

%prep
%setup -q

%build
%configure
CFLAGS="$RPM_OPT_FLAGS" make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%{find_lang} %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

#%files devel
#%defattr(-,root,root)
#%{_libdir}/*.a
#%{_libdir}/*.la
#%{_libdir}/*.so
#%{_includedir}/ximian-archiver

%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING HACKING NEWS ChangeLog doc
%{_bindir}/*
#%{_libdir}/*.so.*
%{_datadir}/%{name}
%{_datadir}/setup-tool-backends
#%{_datadir}/ximian-config/default/*.xml
%{_datadir}/control-center/capplets/System
%{_datadir}/gnome/apps/Settings/System
%{_datadir}/gnome/apps/Settings/System.directory
%{_datadir}/gnome/help/*
#%config %{sysconfdir}/pam.d/*
#%config %{sysconfdir}/security/console.apps/*
#%{_sbindir}/*
#%{_datadir}/hcm/default/*.xml
#%{_datadir}/hcm/glade/*.glade
#%{_datadir}/control-center/System/.directory


%changelog
* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-3mdk
- Add missing directories
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-2mdk
- Recompiled against latest gal

* Wed Aug  1 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.0-1mdk
- new version
- ximian archiver is now a separate tarball
- updated files list

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-2mdk
- Recompiled against latest gal

* Fri Jun 22 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.6.0-1mdk
- initial mandrake release
- not libified since ximian archiver might soon be separate from setup tools

* Wed Mar 03 2001 Chema Celorio <chema@ximian.com>
- Fixed http://bugzilla.ximian.com/show_bug.cgi?id=1644
* Wed Nov 29 2000 Ross Golder <rossigee@bigfoot.com>
- Knocked up preliminary RPM spec file, based on gnome-core spec.

